package com.wuban.tron.explore.param.response;

import lombok.Builder;
import lombok.Data;

/**
 * <core>交易统计图表MODEL</core>
 *
 * @author sky
 * @date 2020/11/02
 */
@Data
@Builder
public class ChartModel {

    private int id;
    private long time;
    private int value;
    private long avg_difficulty;
    private int est_hash_rate;
    private long avg_block_time;
    private int avg_block_size;
    private int total_block_count;
    private int total_uncles_count;
    private int new_address_seen;

    public static ChartModel getInstance() {
        return ChartModel.builder()
                .id(0)
                .time(0)
                .value(0)
                .avg_difficulty(0L)
                .est_hash_rate(0)
                .avg_block_time(0)
                .avg_block_size(0)
                .total_block_count(0)
                .total_uncles_count(0)
                .new_address_seen(0)
                .build();
    }


}
